#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private MILLAi[] cacheMILLAi;
		private AuSuperSmootherFilter[] cacheAuSuperSmootherFilter;
		private AuSMA[] cacheAuSMA;

		
		public MILLAi MILLAi(bool overrider, int sensitivity, int contract, int stopLoss, double stopLoss_To_Profit_Target_Ratio)
		{
			return MILLAi(Input, overrider, sensitivity, contract, stopLoss, stopLoss_To_Profit_Target_Ratio);
		}

		public AuSuperSmootherFilter AuSuperSmootherFilter(int poles, int period)
		{
			return AuSuperSmootherFilter(Input, poles, period);
		}

		public AuSMA AuSMA(int period)
		{
			return AuSMA(Input, period);
		}


		
		public MILLAi MILLAi(ISeries<double> input, bool overrider, int sensitivity, int contract, int stopLoss, double stopLoss_To_Profit_Target_Ratio)
		{
			if (cacheMILLAi != null)
				for (int idx = 0; idx < cacheMILLAi.Length; idx++)
					if (cacheMILLAi[idx].Overrider == overrider && cacheMILLAi[idx].Sensitivity == sensitivity && cacheMILLAi[idx].Contract == contract && cacheMILLAi[idx].StopLoss == stopLoss && cacheMILLAi[idx].StopLoss_To_Profit_Target_Ratio == stopLoss_To_Profit_Target_Ratio && cacheMILLAi[idx].EqualsInput(input))
						return cacheMILLAi[idx];
			return CacheIndicator<MILLAi>(new MILLAi(){ Overrider = overrider, Sensitivity = sensitivity, Contract = contract, StopLoss = stopLoss, StopLoss_To_Profit_Target_Ratio = stopLoss_To_Profit_Target_Ratio }, input, ref cacheMILLAi);
		}

		public AuSuperSmootherFilter AuSuperSmootherFilter(ISeries<double> input, int poles, int period)
		{
			if (cacheAuSuperSmootherFilter != null)
				for (int idx = 0; idx < cacheAuSuperSmootherFilter.Length; idx++)
					if (cacheAuSuperSmootherFilter[idx].Poles == poles && cacheAuSuperSmootherFilter[idx].Period == period && cacheAuSuperSmootherFilter[idx].EqualsInput(input))
						return cacheAuSuperSmootherFilter[idx];
			return CacheIndicator<AuSuperSmootherFilter>(new AuSuperSmootherFilter(){ Poles = poles, Period = period }, input, ref cacheAuSuperSmootherFilter);
		}

		public AuSMA AuSMA(ISeries<double> input, int period)
		{
			if (cacheAuSMA != null)
				for (int idx = 0; idx < cacheAuSMA.Length; idx++)
					if (cacheAuSMA[idx].Period == period && cacheAuSMA[idx].EqualsInput(input))
						return cacheAuSMA[idx];
			return CacheIndicator<AuSMA>(new AuSMA(){ Period = period }, input, ref cacheAuSMA);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.MILLAi MILLAi(bool overrider, int sensitivity, int contract, int stopLoss, double stopLoss_To_Profit_Target_Ratio)
		{
			return indicator.MILLAi(Input, overrider, sensitivity, contract, stopLoss, stopLoss_To_Profit_Target_Ratio);
		}

		public Indicators.AuSuperSmootherFilter AuSuperSmootherFilter(int poles, int period)
		{
			return indicator.AuSuperSmootherFilter(Input, poles, period);
		}

		public Indicators.AuSMA AuSMA(int period)
		{
			return indicator.AuSMA(Input, period);
		}


		
		public Indicators.MILLAi MILLAi(ISeries<double> input , bool overrider, int sensitivity, int contract, int stopLoss, double stopLoss_To_Profit_Target_Ratio)
		{
			return indicator.MILLAi(input, overrider, sensitivity, contract, stopLoss, stopLoss_To_Profit_Target_Ratio);
		}

		public Indicators.AuSuperSmootherFilter AuSuperSmootherFilter(ISeries<double> input , int poles, int period)
		{
			return indicator.AuSuperSmootherFilter(input, poles, period);
		}

		public Indicators.AuSMA AuSMA(ISeries<double> input , int period)
		{
			return indicator.AuSMA(input, period);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.MILLAi MILLAi(bool overrider, int sensitivity, int contract, int stopLoss, double stopLoss_To_Profit_Target_Ratio)
		{
			return indicator.MILLAi(Input, overrider, sensitivity, contract, stopLoss, stopLoss_To_Profit_Target_Ratio);
		}

		public Indicators.AuSuperSmootherFilter AuSuperSmootherFilter(int poles, int period)
		{
			return indicator.AuSuperSmootherFilter(Input, poles, period);
		}

		public Indicators.AuSMA AuSMA(int period)
		{
			return indicator.AuSMA(Input, period);
		}


		
		public Indicators.MILLAi MILLAi(ISeries<double> input , bool overrider, int sensitivity, int contract, int stopLoss, double stopLoss_To_Profit_Target_Ratio)
		{
			return indicator.MILLAi(input, overrider, sensitivity, contract, stopLoss, stopLoss_To_Profit_Target_Ratio);
		}

		public Indicators.AuSuperSmootherFilter AuSuperSmootherFilter(ISeries<double> input , int poles, int period)
		{
			return indicator.AuSuperSmootherFilter(input, poles, period);
		}

		public Indicators.AuSMA AuSMA(ISeries<double> input , int period)
		{
			return indicator.AuSMA(input, period);
		}

	}
}

#endregion
